#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup()
{
	ofBackground(255,255,255);
	ofSetVerticalSync(true);


	
}

//--------------------------------------------------------------
void testApp::update(){


}

//--------------------------------------------------------------
void testApp::draw(){

	pcount = 10;
	ofBackground(255,255,255);
	int xmod = 100;
	int ymod = 250;
	
	for (int i = 0; i < pcount; i++)
	{
		p = particle();
		p.draw(xmod, ymod);
		particles.push_back(p);
	}
	
	
	
	ofPushMatrix();
	ofTranslate(xmod, ymod, 0);
	ofBeginShape();
		ofSetColor(0, 0, 0);
		ofVertex(0,100);
		ofVertex(100,100);
		ofVertex(100,0);
	ofEndShape(false);
	addDot(0,100);
	addDot(100,100);
	addDot(100,0);
	ofPopMatrix();
	
	xmod = 225;
	for (int i = 0; i < pcount; i++)
	{
		p = particle();
		p.draw(xmod, ymod);
		particles.push_back(p);
	}
	ofPushMatrix();
	ofTranslate(xmod, ymod, 0);
	ofBeginShape();
		ofSetColor(0, 0, 0);
		ofVertex(0,0);
		ofVertex(0,100);
		ofVertex(100,100);
		ofVertex(100, 0);
	ofEndShape(false);
	addDot(0,100);
	addDot(100,100);
	addDot(100,0);
	addDot(0,0);
	ofPopMatrix();
	
	xmod = 350;
	for (int i = 0; i < pcount; i++)
	{
		p = particle();
		p.draw(xmod, ymod);
		particles.push_back(p);
	}
	ofPushMatrix();
	ofTranslate(xmod, ymod, 0);
	ofBeginShape();
	ofSetColor(0, 0, 0);
	ofVertex(100,0);
	ofVertex(0,0);
	ofVertex(0,50);
	ofVertex(100, 50);
	ofVertex(100,100);
	ofVertex(0,100);
	ofEndShape(false);
	addDot(100,0);
	addDot(0,0);
	addDot(0,50);
	addDot(100, 50);
	addDot(100,100);
	addDot(0,100);
	ofPopMatrix();

	xmod = 475;
	for (int i = 0; i < pcount; i++)
	{
		p = particle();
		p.draw(xmod, ymod);
		particles.push_back(p);
	}
	ofPushMatrix();
	ofTranslate(xmod, ymod, 0);
	ofBeginShape();
	ofSetColor(0, 0, 0);
	ofVertex(100,0);
	ofVertex(0,0);
	ofVertex(50,0);
	ofVertex(50, 100);
	ofEndShape(false);
	addDot(100,0);
	addDot(0,0);
	addDot(50,0);
	addDot(50, 100);
	ofPopMatrix();

	xmod = 550;
	ofPushMatrix();
	ofTranslate(xmod, ymod, 0);
	ofBeginShape();
	ofSetColor(0, 0, 0);
	ofVertex(50,0);
	ofVertex(50,100);
	ofEndShape(false);
	addDot(50,0);
	addDot(50, 100);
	ofPopMatrix();
	
	xmod = 650;
	for (int i = 0; i < pcount; i++)
	{
		p = particle();
		p.draw(xmod, ymod);
		particles.push_back(p);
	}
	ofPushMatrix();
	ofTranslate(xmod, ymod, 0);
	ofBeginShape();
	ofSetColor(0, 0, 0);
	ofVertex(0,100);
	ofVertex(0,0);
	ofVertex(100,100);
	ofVertex(100,0);

	ofEndShape(false);
	addDot(0,100);
	addDot(0,0);
	addDot(100,100);
	addDot(100,0);
	ofPopMatrix();
	ofEnableAlphaBlending();
	for (int i = 0; i < particles.size(); i++)
	{
		float dx   = particles[i].x  - particles[i-1].x;
		float dy   = particles[i].y  - particles[i-1].y;
		float dist = sqrt((dx*dx) + (dy*dy));
		if (dist <= 150){
		
			ofSetColor(0, 0, 0,25);
			ofLine(particles[i].x, particles[i].y, particles[i-1].x, particles[i-1].y);
		
		}
	}
	ofDisableAlphaBlending();  
}
	
void testApp::addDot(int x, int y)
{
	ofSetColor(255,0,0);
	ofNoFill();	
	ofCircle(x, y, 3);
	
}
//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

